<?php

namespace App\Merchant\Middleware;

use Closure;
use Illuminate\Support\Facades\Auth;

class Authenticate
{
    public function handle($request, Closure $next)
    {
        if (Auth::guard('merchant')->guest()) {
            return redirect()->route('merchant.login');
        }

        return $next($request);
    }
}
